/*
 *  Engine/Autocompletion.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System.Collections;
using System;
using System.IO;
using System.Xml;



namespace Incollector.Engine {
	
	/// <summary>Autocompletion class.</summary>
	public static class Autocompletion {
		
		private static Hashtable Fields = new Hashtable ();
		
		
		/// <summary>Adds a new text with speciefied data type (DataID) to list.</summary>
		public static void Add (string DataID, string text)
		{
			if (Fields [DataID] == null)
				Fields [DataID] = new ArrayList ();
			
			if ((Fields [DataID] as ArrayList).Contains (text) == false)
				(Fields [DataID] as ArrayList).Add (text);
		}

		
		/// <summary>Assigns fields to speciefied entry widget.</summary>
		public static void Assign (Gtk.Entry entry, string DataID)
		{
			if (Fields [DataID] == null)
				return;
			
			Gtk.EntryCompletion comp = new Gtk.EntryCompletion ();
			Gtk.ListStore       mod  = new Gtk.ListStore (typeof (string));
			
			comp.Model = mod;
			comp.TextColumn = 0;
			entry.Completion = comp;
			
			foreach (string item in Fields [DataID] as ArrayList)
				mod.AppendValues (new object [] { item });
		}
	}
}
