/*
 *  Engine/Text.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */



using System;
using System.Collections;
using System.Xml;
using Gtk;


namespace Incollector.Engine {
	
	/// <summary>Function to manipulate text.</summary>
	public static class Text {
		/// <summary>Search substring "query" in "text".</summary>
		/// <returns>True, if successfully</returns>
		static public bool Search (string query, string text)
		{
			return text.ToLower ().LastIndexOf (query.ToLower ()) != -1;
		}
		
		
		static public string PrepareText (string text, bool ETS)
		{
			string NewText = "";
			for (int i = 0; i < text.Length; i++)
				if (text [i] == '<')
					NewText += "&lt;";
				else if (text [i] == '>')
					NewText += "&gt;";
				else if (text [i] == '&')
					NewText += "&amp;";
				else if ((text [i] == '\n') && (ETS == true))
					NewText += " ";
				else
					NewText += text [i];
			
			
			return NewText;
		}
		
		
		static public string PrepareText2 (string text)
		{
			string NewText = text.Replace ("&lt;", "<");
			text = NewText.Replace ("&amp;", "&");
			return NewText.Replace ("&gt;", ">");
		}
		
		
		static public string Crop (string text)
		{
			if (text.Length > 200)
				return text.Substring (0, 200) + "...";
			else
				return text;
		}
	}
}
