/*
 *  GUI/AboutWindow.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Incollector.GUI.Widgets;

namespace Incollector.GUI {
	
	public class AboutWindow {
		
		public Gtk.Dialog dialog;
		
		[Glade.Widget] private Gtk.Table MainTable;
		
		
		public AboutWindow (Gtk.Window parent)
		{
			string BannerName = "about.png";
			
			Glade.XML DlgXml = Glade.XML.FromAssembly ("gui.glade", "AboutDialog", null);
			DlgXml.Autoconnect (this);
			dialog = (Gtk.Dialog) DlgXml.GetWidget ("AboutDialog");
			dialog.VBox.BorderWidth = 0;
			dialog.TransientFor = parent;
			
			Icons.AssignWindow (dialog);
			(DlgXml.GetWidget ("Bg") as Gtk.Viewport).ModifyBg (Gtk.StateType.Normal, new Gdk.Color (255, 255, 255));
			(DlgXml.GetWidget ("Icon") as Gtk.Image).Pixbuf    = new Gdk.Pixbuf (Assembly.GetEntryAssembly (), BannerName);
			(DlgXml.GetWidget ("VersionLabel") as Gtk.Label).Text   = Engine.Defines.Version;
			
			MainTable.Attach (new LinkLabel ("http://www.incollector.devnull.pl/"), 1, 2, 3, 4);
		}
	}
	
}
