/*
 *  GUI/FirstStartDialog.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using Incollector.Engine;
using System.Reflection;
using Glade;
using Gtk;


namespace Incollector.GUI {

	/*
	 * FirstStartDialog class
	 */


	public class FirstStartDialog {
		
		private Glade.XML  gui;
		public  Gtk.Dialog dialog;

		[Glade.Widget] Gtk.Image  InrIcon;


		/* Constructor */
		public FirstStartDialog ()
		{
			gui = Glade.XML.FromAssembly ("gui.glade", "FirstStartDialog", null);
			gui.Autoconnect (this);
			dialog = (Gtk.Dialog) gui.GetWidget ("FirstStartDialog");

			dialog.VBox.BorderWidth = 0;
			Colors.Modify (Colors.HEAD, "Bg", gui);

			InrIcon.Pixbuf = new Gdk.Pixbuf (Assembly.GetEntryAssembly (), "logo-48.png");
		}


		/* FinishBtn clicked */
		protected void on_FinishBtn_clicked (object o, EventArgs args)
		{
			// saving settings
			SetBool ("DateFirstYear");
			SetBool ("Time24Mode");
		}
		

		/* Sets value (named as key) in settings as Gtk.CheckButton (named as key) value */
		private void SetBool (string key)
		{
			Engine.Settings.SetBool (key, (gui.GetWidget (key) as Gtk.CheckButton).Active);
		}
	}
}
