/*
 *  GUI/Icons.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Gdk;
using Gtk;
using Glade;


namespace Incollector.GUI {
	
	/*
	 * Icons class
	 */
	
	public static class Icons {
		public static string LOGO_MINI            = "logo-20.png";
		public static string LOGO_BIG             = "logo-128.png";
		public static string ADD_ENTRY_MENU       = "add_entry-16.png";
		public static string ADD_ENTRY_BUTTON     = "add_entry-20.png";
		public static string REMOVE_ENTRY_MENU    = "remove_entry-16.png";
		public static string REMOVE_ENTRY_BUTTON  = "remove_entry-20.png";
		public static string EDIT_ENTRY_MENU      = "edit_entry-16.png";
		public static string IMPORT_MENU          = "import-16.png";
		public static string IMPORT_BUTTON        = "import-20.png";
		public static string IMPORT_DIALOG        = "import-48.png";
		public static string EXPORT_MENU          = "export-16.png";
		public static string EXPORT_BUTTON        = "export-20.png";
		public static string EXPORT_DIALOG        = "export-48.png";
		public static string PLUGINS_DIALOG       = "plugins-48.png";
		public static string PLUGINS_MENU         = "plugins-16.png";
		public static string ADD_PLUGIN_BUTTON    = "add_plugin-20.png";
		public static string ADD_PLUGIN_DIALOG    = "add_plugin-48.png";
		public static string REMOVE_PLUGIN_BUTTON = "remove_plugin-20.png";
		public static string ADD_TAG_DND          = "add_tag-dnd.png";
		public static string INFO_DIALOG          = "Info-48.png";
		public static string QUESTION_DIALOG      = "Question-48.png";
		public static string WARNING_DIALOG       = "Warning-48.png";
		public static string ERROR_DIALOG         = "Error-48.png";
		public static string LOOKNFEEL_TAB        = "looknfeel-32.png";
		public static string MAIN_SETTINGS_TAB    = "mainsettings-32.png";
		public static string FIND_MENU            = "find-16.png";
		public static string FIND_BUTTON          = "find-20.png";
		public static string PREVIEW_BUTTON       = "preview-20.png";
		
		
		
		public static void AssignImage (string name, Gtk.Image icon)
		{
			icon.Pixbuf = new Gdk.Pixbuf (Assembly.GetEntryAssembly (), name);
		}
		
		
		public static void AssignImage (string name, string WidgetName, Glade.XML xml)
		{
			AssignImage (name, (Gtk.Image) xml.GetWidget (WidgetName));
		}
		
		
		public static void AssignToolButton (string name, Gtk.ToolButton button)
		{
			button.IconWidget = new Gtk.Image (new Gdk.Pixbuf (Assembly.GetEntryAssembly (), name));
			button.IconWidget.Show ();
		}
		
		
		public static void AssignMenuItem (string name, string WidgetName, Glade.XML xml)
		{
			AssignMenuItem (name, (Gtk.ImageMenuItem) xml.GetWidget (WidgetName));
		}
		
		
		public static void AssignMenuItem (string name, Gtk.ImageMenuItem item)
		{
			item.Image = new Gtk.Image (new Gdk.Pixbuf (Assembly.GetEntryAssembly (), name));
			item.Image.Show ();
		}
		
		
		public static void AssignToolButton (string name, string WidgetName, Glade.XML xml)
		{
			AssignToolButton (name, (Gtk.ToolButton) xml.GetWidget (WidgetName));
		}
		
		
		public static void AssignWindow (Gtk.Window window)
		{
			window.Icon = new Gdk.Pixbuf (Assembly.GetEntryAssembly (), LOGO_MINI);
		}
	}
}
