/*
 *  GUI/PluginErrorDialog.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Gdk;
using Mono.Unix;
using Gtk;
using Glade;


namespace Incollector.GUI {
	
	/*
	 * PluginErrorDialog class
	 */
	
	public class PluginErrorDialog {
		private Glade.XML  gui;
		public  Gtk.Dialog dialog;
		
		[Glade.Widget] Gtk.Label Msg, ErrInfo;
		
		
		
		/* Constructor */
		public PluginErrorDialog (string PluginName, string PluginPath, string Output)
		{
			gui = Glade.XML.FromAssembly ("gui.glade", "PluginErrorDialog", null);
			gui.Autoconnect (this);
			dialog = (Gtk.Dialog) gui.GetWidget ("PluginErrorDialog");
			dialog.VBox.BorderWidth = 0;
			
			Colors.Modify (Colors.HEAD, "Bg", gui);
			Colors.ColorHead (Engine.Settings.GetBool ("ColorWindowsHeaders"), gui);
			Icons.AssignImage (Icons.ERROR_DIALOG, "Icon", gui);
			
			
			if (PluginName == "")
				PluginName = Catalog.GetString ("Unknown");
			
			Msg.Markup = String.Format (Catalog.GetString ("<i>{0}</i> plugin couldn't " + 
				"be loaded."), PluginName);
			
			ErrInfo.Markup = "<b>" + Catalog.GetString ("Plugin name") + ":</b>\n" +
					PluginName + "\n\n<b>" + Catalog.GetString ("Path:") + "</b>\n" +
					PluginPath + "\n\n<b>" + Catalog.GetString ("Error:") + "</b>\n" +
					Output;
		}
	}
}
