/*
 *  GUI/TagDialog.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Gdk;
using Mono.Unix;
using Gtk;
using Glade;


namespace Incollector.GUI {
	
	/*
	 * TagDialog class
	 */
	
	public class TagDialog {
		private Glade.XML  gui;
		public  Gtk.Dialog dialog;
		
		[Glade.Widget] public  Gtk.Entry  TagName;
		[Glade.Widget] private Gtk.Button OkBtn;
		
		
		
		/* Constructor */
		public TagDialog (string tag)
		{
			gui = Glade.XML.FromAssembly ("gui.glade", "TagDialog", null);
			gui.Autoconnect (this);
			dialog = (Gtk.Dialog) gui.GetWidget ("TagDialog");
			
			Icons.AssignWindow (dialog);
			TagName.Text = tag;
		}
		
		
		/* TagName activate */
		public void on_TagName_activate (object o, EventArgs args)
		{
			if (OkBtn.Sensitive == true)
				dialog.Respond (ResponseType.Ok);
		}
		
		
		/* TagName changed */
		public void on_TagName_changed (object o, EventArgs args)
		{
			OkBtn.Sensitive = (TagName.Text != "");
		}
	}
	
}
