/*
 *  GUI/Tools.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Gdk;
using Gtk;
using Glade;
using System.IO;


namespace Incollector.GUI {
	
	/*
	 * Colors class
	 */
	
	public static class Tools {
		
		/// <summary>Repaints application.</summary>
		static public void Repaint ()
		{
			while (Application.EventsPending ())
				Application.RunIteration ();
		}
		
		
		/// <summary>Runs web browser with specified URL.</summary>
		public static void RunWebBrowser (string Url)
		{
			if (TryRun (Engine.Settings.Get ("webbrowser"), Url) == false) {
				if (Engine.FilesPaths.IsWinSystem () == true)
					TryRun ("iexplore.exe", Url);
				else {
					if (TryRun ("firefox", Url))
						return;
					
					if (TryRun ("epiphany", "-t Url"))
						return;
					
					if (TryRun ("mozilla", Url))
						return;
					
					if (TryRun ("opera", Url))
						return;
					
					if (TryRun ("koqueror", Url))
						return;
				}
			}
		}
		
		
		public static bool TryRun (string command, string parameters)
		{
			try {
				System.Diagnostics.Process.Start (command, parameters);
				return true;
			} catch {
				return false;
			}
		}
		
		
		public static string CheckCommand (string command, string parameter)
		{
			if (Engine.FilesPaths.IsWinSystem () == true) {
				if (File.Exists (command))
					return command + " " + parameter;
			} else {
				foreach (string path in System.Environment.GetEnvironmentVariable ("PATH").Split (':')) {
					if (File.Exists (path + "/" + command))
						return command + " " + parameter;
				}
			}
			
			return "";
		}
	}
}
