/*
 *  Plugins/Plugin.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */



using System;
using System.Collections;
using System.Xml;
using Gtk;


namespace Incollector.Plugins {

	/// <summary>Plugin abstract class</summary>
	public abstract class Plugin {
		/// <summary>Path to plugin</summary>
		public string Path;
		
		/// <summary>Short plugin name - ID for plugins list</summary>
		public abstract string Name { get ; }
		
		/// <summary>Full plugin name</summary>
		public abstract string     Title       { get ; }
		/// <summary>Version of plugin</summary>
		public abstract string     Version     { get ; }
		/// <summary>Plugin description</summary>
		public abstract string     Description { get ; }
		/// <summary>Plugin home page url</summary>
		public abstract string     Url         { get ; }
		/// <summary>Copyright</summary>
		public abstract string     Copyright   { get ; }
		/// <summary>Plugin authors</summary>
		public abstract string     Authors     { get ; }
		/// <summary>Plugin icon in resolution 48x48 px</summary>
		public abstract Gdk.Pixbuf Icon        { get ; }
		
		
		public void Init ()
		{
			PluginInit ();
		}
		
		
		/// <summary>Function initiates the plugin.</summary>
		protected abstract void PluginInit ();
	}
}
