// project created on 2006-05-13 at 17:09
using System;
using Gtk;
using Mono.Unix;
using System.Reflection;
using Incollector;


namespace Incollector.Plugins.Stats {

	class MainClass : Plugin {
		
		public override string Name {
			get { return "Stats"; }
		}
		
		
		public override string Title {
			get { return Catalog.GetString ("Stats"); }
		}
		
		public override string Version {
			get { return "0.1"; }
		}
		
		public override string Description {
			get { return Catalog.GetString ("Shows stats"); }
		}
		
		public override string Url {
			get { return "http://www.incollector.devnull.pl/"; }
		}
		
		public override string Copyright {
			get { return "Copyright &#169; 2006 by Marcin Krystian Krzywonos"; }
		}
		
		public override string Authors {
			get { return "Marcin Krystian Krzywonos - developer"; }
		}
		
		public override Gdk.Pixbuf Icon {
			get { return new Gdk.Pixbuf (Assembly.GetExecutingAssembly (), "stats-48.png"); }
		}
		
		
		protected override void PluginInit ()
		{
			// separator
			Global.MainWindowObject.MainMenuEntries.Append (new Gtk.SeparatorMenuItem ());
			
			// "Stats" menu item
			Gtk.ImageMenuItem StatsMenuItem = new Gtk.ImageMenuItem (Catalog.GetString ("Stats"));
			StatsMenuItem.Image = new Gtk.Image (new Gdk.Pixbuf (Assembly.GetExecutingAssembly (), "stats-16.png"));
			StatsMenuItem.Activated += new EventHandler (on_StatsMenuItem_activated);
			Global.MainWindowObject.MainMenuEntries.Append (StatsMenuItem);
			Global.MainWindowObject.MainMenuEntries.ShowAll ();
		}
		
		
		protected void on_StatsMenuItem_activated (object o, EventArgs args)
		{
			Global.MainWindowObject.SetSensitive (false);
			StatsDialog dlg = new StatsDialog (Global.MainWindowObject.window);
			dlg.Run ();
			dlg.Destroy ();
			Global.MainWindowObject.SetSensitive (true);
		}
	}
}